Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1491720 - reproducer: failed assertion by input through a pipe and then sudo to: accounts-daemon
Summary: reproducer: failed assertion by input through a pipe and then sudo to: accoun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: accountsservice
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1609081 1571842
TreeView+ depends on / blocked
 
Reported: 2017-09-14 13:27 UTC by R P Herrold
Modified: 2021-06-10 13:02 UTC (History)
14 users (show)

Fixed In Version: accountsservice-0.6.49-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1351579
Environment:
Last Closed: 2018-10-30 10:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
yum mediated updates since filing (152.30 KB, text/plain)
2017-12-22 16:26 UTC, R P Herrold
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 106455 0 None None None 2018-06-13 20:43:51 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:48 UTC

Description R P Herrold 2017-09-14 13:27:15 UTC
+++ This bug was initially created as a clone of Bug #1351579 +++

formerly called:  Can't launch Gnome Files (Nautilus) on Gnome+Wayland sessions

prior Description of problem:
I can't launch "File" (a.k.a. Nautilus) on a "Gnome+Wayland" session. The terminal returns the following output:

"""
(nautilus:3220): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed

(nautilus:3220): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Failed to register: È stato raggiunto il timeout

"""

"È stato raggiunto il timeout" may be translated as "timeout reached".


Version-Release number of relevant components:
nautilus-3.20.1-1.fc25.x86_64
dbus-1.11.2-1.fc25.x86_64
gnome-session-wayland-session-3.20.1-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Launch an up to date Fedora Rawhide.
2.Open a "Gnome+Wayland" session.
3.Try to launch nautilus.

Actual results:
Nautilus doesn't start.

Expected results:
Nautilus should start normally.

Additional info:
I'm testing with qemu-kvm (QXL).

--- Additional comment from Jan Kurik on 2016-07-26 00:41:59 EDT ---

This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

--- Additional comment from Giulio 'juliuxpigface' on 2016-09-09 05:12:02 EDT ---

I'm closing this as it isn't reproducible anymore.

==============

new matter

this failed assert remains reproducible under CentOS 7.4 (latest)

reproducer: 
file assert error caused by using sudo in accounts-daemon

Sep 14 09:10:07 centos-7 accounts-daemon: (accounts-daemon:12000):
GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion
'interface_->priv->connections != NULL' failed
Sep 14 09:10:30 centos-7 su: (to root) herrold on pts/0
[root@centos-7 ~]# 

        echo "message from RPH" | sudo auditctl -m text

I moved filed bug on accounts-daemon's error noise to its  owning SRPM: 
accountsservice

Please ask if you need testing of any fix

Obviously the goal state is no failed assertion leakage, and rather, as needed, either to silently discard, or regularly send to /var/log/messages or wherever 'debug' level messages are routed to in rsyslog

Comment 2 R P Herrold 2017-09-14 13:32:10 UTC
there are several similar reports:

1 https://unix.stackexchange.com/questions/372860/how-do-i-hide-warning-messages-that-come-from-a-specific-command/372862

(with a ugly 'put black tape over the 'check engine' light fix)

2 also in Nautilus, which is how I found it, two years ago -- still unfixed

https://pastebin.com/R3K8P1fm

3. in the Fedora Project's community doco site

https://ask.fedoraproject.org/en/question/72155/nautilus-critical-error/

the suggested fix of restarting nautilus is .... creative  and of course will not persist

Comment 3 R P Herrold 2017-09-19 18:23:56 UTC
remove closed Blocks

Comment 4 R P Herrold 2017-09-19 18:28:12 UTC
I am getting hammered with this today

it is unclear why
[root@centos-7 ~]# tail -f  /var/log/messages | grep failed
Sep 19 13:10:24 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 13:14:05 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 13:52:18 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 13:52:19 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 13:56:27 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 13:57:24 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 13:57:54 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 14:07:33 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 14:14:11 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Sep 19 14:19:39 centos-7 journal: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed

so ... ?? 

the systemd journalctl is failing somehow?

[herrold@centos-7 WARNINGS-fixup]$ yum -q provides \*bin/journal\*
systemd-219-42.el7.x86_64 : A System and Service Manager
Repo        : base
Matched from:
Filename    : /usr/bin/journalctl

Comment 5 R P Herrold 2017-09-19 18:29:10 UTC
as no sudo is in play here, there must be more than one vector provoking this noise

still nice to have a reproducer  ;)

Comment 9 R P Herrold 2017-12-22 16:26:39 UTC
Created attachment 1371327 [details]
yum mediated updates since filing

Comment 10 R P Herrold 2017-12-22 16:27:29 UTC
there were no updates before that file, post filing of the bug

[root@centos-7 log]# cat yum.log | wc -l
2517
[root@centos-7 log]# ls -al yum* ; wc -l yum.log
-rw-------. 1 root root 155959 Dec 22 09:43 yum.log
-rw-------. 1 root root  76584 Aug 26  2015 yum.log-20150825
-rw-------. 1 root root  33545 Dec 28  2015 yum.log-20160101.gz
-rw-------. 1 root root   2543 Mar 10  2016 yum.log-20160316.gz
-rw-------. 1 root root  13171 Dec 29  2016 yum.log-20170101.gz
-rw-------. 1 root root   2231 Mar  6  2017 yum.log-20170315.gz
-rw-r--r--. 1 root root      0 Oct 24 18:57 yum-log-20171024.txt
2517 yum.log
[root@centos-7 log]# chmod 755 yum.log
[root@centos-7 log]#

Comment 11 R P Herrold 2017-12-22 16:31:12 UTC
I still get logging in /var/log/audit/autid.log
but no new content into /var/log/messages  as root


type=USER msg=audit(1513960063.316:15596): pid=6450 uid=0 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='text exe="/usr/sbin/auditctl" hostname=centos-7.first.owlriver.net addr=? terminal=pts/19 res=success'

--------------------

and running


/v/l/a/audit.log has



type=USER_AUTH msg=audit(1513960151.534:15626): pid=6546 uid=500 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=pam_unix acct="herrold" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/32 res=success'
type=USER_ACCT msg=audit(1513960151.538:15627): pid=6546 uid=500 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_unix,pam_localuser acct="herrold" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/32 res=success'
type=USER_CMD msg=audit(1513960151.539:15628): pid=6546 uid=500 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='cwd="/home/herrold" cmd=617564697463746C202D6D2074657874 terminal=pts/32 res=success'
type=CRED_REFR msg=audit(1513960151.539:15629): pid=6546 uid=0 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/32 res=success'
type=USER_START msg=audit(1513960151.541:15630): pid=6546 uid=0 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_keyinit,pam_limits acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/32 res=success'
type=USER msg=audit(1513960151.544:15631): pid=6551 uid=0 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='text exe="/usr/sbin/auditctl" hostname=centos-7.first.owlriver.net addr=? terminal=pts/32 res=success'
type=USER_END msg=audit(1513960151.544:15632): pid=6546 uid=0 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_limits acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/32 res=success'
type=CRED_DISP msg=audit(1513960151.544:15633): pid=6546 uid=0 auid=500 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/32 res=success'


but now /v/l/messages 

does NOT have the noise

from:

[herrold@centos-7 ~]$ echo "message from RPH" | sudo auditctl -m text
[sudo] password for herrold: 
[herrold@centos-7 ~]

===============

sorry my reproducer went away

Comment 12 R P Herrold 2017-12-22 16:37:33 UTC
starting nautilus as an end user still provokes content to /v/l/messages ( and a clutch in /v/l/a/audit.log )

in the terminal window:


[herrold@centos-7 ~]$ nautilus
Initializing nautilus-dropbox 2015.10.28
error: Broken zip file structure


and nautilus tries and fails to add icons for desktop matter with mixed results

(nautilus:6789): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/herrold/ComponentReport-DJI.xls: Unrecognized image file format
error: Invalid MS property section

(nautilus:6789): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/herrold/RedHat_Official_2007_1221.xls: Unrecognized image file format
error: Invalid MS property section

(nautilus:6789): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/herrold/xbrl-sec-onlineformsfm90-r1.doc: Unrecognized image file format
error: The metadata does not have a thumbnail property

(nautilus:6789): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/herrold/CarrierCloudLTandC.doc: Unrecognized image file format
error: The metadata does not have a thumbnail property

(nautilus:6789): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/herrold/Quantitative_Research_Manager.doc: Unrecognized image file format

but those after the initial two lines of message are probably nautilus function problems, and out of scope


/v/l/messages:

Dec 22 11:32:04 centos-7 dbus-daemon: dbus[700]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Dec 22 11:32:04 centos-7 dbus[700]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Dec 22 11:32:04 centos-7 systemd: Starting Hostname Service...
Dec 22 11:32:04 centos-7 kernel: nf_conntrack: falling back to vmalloc.
Dec 22 11:32:04 centos-7 kernel: nf_conntrack: falling back to vmalloc.
Dec 22 11:32:04 centos-7 dbus[700]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 22 11:32:04 centos-7 dbus-daemon: dbus[700]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 22 11:32:04 centos-7 systemd: Started Hostname Service.

/v/l/a/audit.log

'
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=filter family=2 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=filter family=10 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=raw family=2 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=security family=2 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=mangle family=2 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=nat family=2 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=raw family=10 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=security family=10 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=mangle family=10 entries=0
type=NETFILTER_CFG msg=audit(1513960324.332:15648): table=nat family=10 entries=0
type=SYSCALL msg=audit(1513960324.332:15648): arch=c000003e syscall=272 success=yes exit=0 a0=40000000 a1=7ffeb78567e0 a2=fffffffffffffff5 a3=22 items=0 ppid=1 pid=6803 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="(ostnamed)" exe="/usr/lib/systemd/systemd" subj=system_u:system_r:init_t:s0 key=(null)
type=PROCTITLE msg=audit(1513960324.332:15648): proctitle="(ostnamed)"
type=SERVICE_START msg=audit(1513960324.442:15649): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'

type=SERVICE_STOP msg=audit(1513960354.557:15650): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'

Comment 13 R P Herrold 2017-12-22 16:40:36 UTC
moving aside the files upsetting nautilus, removes most of the terminal noise

[herrold@centos-7 ~]$ nautilus
Initializing nautilus-dropbox 2015.10.28
[herrold@centos-7 ~]$

Comment 26 errata-xmlrpc 2018-10-30 10:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.